Contact support or Ask other Live users

Can I use Partner Instruments/Packs with Live Lite 8?

  • Live Versions: 8
  • Operating System: All

It is unfortunately not possible to use Partner Instruments/Packs with Live Lite 8. Live Intro, Live 8, Ableton Suite 8 or higher are required for Partner Instruments/Packs. 

Related tags: library live devices system